libqxp::QXP33Parser::ObjectHeader Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libqxp::QXP33Parser::ObjectHeader Struct Reference

`#include <QXP33Parser.h>`

## Public Member Functions
| ObjectHeader ()

## Public Attributes
boost::optional< Fill > | fill
bool | runaround
unsigned | contentIndex
unsigned | linkId
unsigned | gradientId
double | rotation
double | skew
bool | hflip
bool | vflip
CornerType | cornerType
double | cornerRadius
ContentType | contentType
ShapeType | shapeType
Rect | boundingBox
BoxType | boxType

## Constructor & Destructor Documentation

## ◆ ObjectHeader()

libqxp::QXP33Parser::ObjectHeader::ObjectHeader | ( |  | ) |
| inline

## Member Data Documentation

## ◆ boundingBox

Rect libqxp::QXP33Parser::ObjectHeader::boundingBox

Referenced by libqxp::QXP33Parser::parseGroup(), and libqxp::QXP33Parser::parseObjectHeader().

## ◆ boxType

BoxType libqxp::QXP33Parser::ObjectHeader::boxType

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ contentIndex

unsigned libqxp::QXP33Parser::ObjectHeader::contentIndex

Referenced by libqxp::QXP33Parser::parseObjectHeader(), and libqxp::QXP33Parser::parseTextBox().

## ◆ contentType

ContentType libqxp::QXP33Parser::ObjectHeader::contentType

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ cornerRadius

double libqxp::QXP33Parser::ObjectHeader::cornerRadius

Referenced by libqxp::QXP33Parser::parseObjectHeader(), and libqxp::QXP33Parser::parsePictureBox().

## ◆ cornerType

CornerType libqxp::QXP33Parser::ObjectHeader::cornerType

Referenced by libqxp::QXP33Parser::parseObjectHeader(), and libqxp::QXP33Parser::parsePictureBox().

## ◆ fill

boost::optional<Fill> libqxp::QXP33Parser::ObjectHeader::fill

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ gradientId

unsigned libqxp::QXP33Parser::ObjectHeader::gradientId

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ hflip

bool libqxp::QXP33Parser::ObjectHeader::hflip

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ linkId

unsigned libqxp::QXP33Parser::ObjectHeader::linkId

Referenced by libqxp::QXP33Parser::parseObjectHeader(), and libqxp::QXP33Parser::parseTextBox().

## ◆ rotation

double libqxp::QXP33Parser::ObjectHeader::rotation

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ runaround

bool libqxp::QXP33Parser::ObjectHeader::runaround

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ shapeType

ShapeType libqxp::QXP33Parser::ObjectHeader::shapeType

Referenced by libqxp::QXP33Parser::parseEmptyBox(), libqxp::QXP33Parser::parseObjectHeader(), libqxp::QXP33Parser::parsePictureBox(), and libqxp::QXP33Parser::parseTextBox().

## ◆ skew

double libqxp::QXP33Parser::ObjectHeader::skew

Referenced by libqxp::QXP33Parser::parseObjectHeader().

## ◆ vflip

bool libqxp::QXP33Parser::ObjectHeader::vflip

Referenced by libqxp::QXP33Parser::parseObjectHeader().

The documentation for this struct was generated from the following file:

- QXP33Parser.h